This URL gets the list of top urls by reputations.
Resource URL
GET /ntbamonitors/{ntbaId}/topurlsbyreputation? TopN=<TopN> &timePeriod=<timePeriod>&startTime=<startTime>&endTime=<endTime>
Request Parameters
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| ntbaId | NTBA monitor id | Number | Yes |
| TopN | Number of top rows, default 50 | Number | No |
| timePeriod | Duration: can be
|
String | No |
| startTime | Start time in the format: yyyy-MM-dd HH:mm | String | No |
| endTime | End time in the format: yyyy-MM-dd HH:mm | String | No |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| topURLsOnNetwork | List of urls | Array |
Details of topURLsOnNetwork:
| Field Name | Description | Data Type |
|---|---|---|
| reputation | Reputation | String |
| url | URL | Number |
| urlId | URL id | String |
| country | Country | String |
| count | Count | Number |
Example
Request
Response
{
"topURLsOnNetwork":
[{
"reputation":"Minimal Risk",
"url":"twitter.com","urlId":"8390917",
"category":"Blogs/Wiki","country":"United States","count":6
}]
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 4301 | Invalid duration |
| 2 | 400 | 4302 | Invalid time format |
| 3 | 400 | 4303 | Start time is greater than end time |
| 4 | 400 | 4304 | Invalid date format |
| 5 | 400 | 4305 | Start/End date is not provided |
| 6 | 400 | 4306 | Invalid NTBA id |